### Signal

# Ide Debugger::thread-removed

#### Declaration

    void
    thread_removed (
      IdeDebugger* self,
      IdeDebuggerThread* thread,
      gpointer user_data
    )

#### Description

The signal is emitted when a thread is removed from the inferior.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`thread` | `IdeDebuggerThread`
| An `IdeDebuggerThread`.
| The data is owned by the caller of the function.